高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviPolylineTrafficStatusColor Class Reference

`#include <AMapNaviCommonObj.h>`

Inheritance diagram for AMapNaviPolylineTrafficStatusColor:

## Properties
AMapNaviRouteStatus | status
UIColor * | fillColorHighlight
UIColor * | borderColorHighlight
UIColor * | fillColor
UIColor * | borderColor
UIColor * | fillColorHighlightNight
UIColor * | borderColorHighlightNight
UIColor * | fillColorNight
UIColor * | borderColorNight

## Detailed Description

路线的路况颜色. since 7.4.0 Route traffic color

## Property Documentation

## ◆ borderColor

- (UIColor*) borderColor
| read write nonatomic strong

备选路线的边框颜色(白天) Border color of alternative routes (day)

## ◆ borderColorHighlight

- (UIColor*) borderColorHighlight
| read write nonatomic strong

当前路线的边框颜色(白天) Current route border color (daytime)

## ◆ borderColorHighlightNight

- (UIColor*) borderColorHighlightNight
| read write nonatomic strong

当前路线的边框颜色(黑夜) Border color of current route (night)

## ◆ borderColorNight

- (UIColor*) borderColorNight
| read write nonatomic strong

备选路线的边框颜色(黑夜) Border color of alternative routes (night)

## ◆ fillColor

- (UIColor*) fillColor
| read write nonatomic strong

备选路线的填充颜色(白天) Alternative route fill color (daytime)

## ◆ fillColorHighlight

- (UIColor*) fillColorHighlight
| read write nonatomic strong

当前路线的填充颜色(白天) Current route fill color (daytime)

## ◆ fillColorHighlightNight

- (UIColor*) fillColorHighlightNight
| read write nonatomic strong

当前路线的填充颜色(黑夜) Fill color of current route (night)

## ◆ fillColorNight

- (UIColor*) fillColorNight
| read write nonatomic strong

备选路线的填充颜色(黑夜) Fill color of alternative routes (night)

## ◆ status

- (AMapNaviRouteStatus) status
| read write nonatomic assign

路况，表示该颜色将在该路况下生效 Traffic condition, indicating the color will take effect under this condition

The documentation for this class was generated from the following file:

- AMapNaviCommonObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。